#!/bin/sh

# psxc-dated-dir-convert.sh v0.1
# ------------------------------
# Don't you hate to have separate freespace scripts for dated dirs and "normal"
# dirs? Well, this tiny script should help you then, provided you use the
# standard format for dated dirs (mmdd). DO NOT use it if you use a different
# format!
# It will touch all dated dirs, and give them the same date as the name.
#
# Usage:
#   Set this up as a cronjob to run at least once a day -
#   0 0 * * * /path/to/psxc-dated-dir-convert.sh /path/to/dated/dir
# Example:
#   0 */6 * * * /glftpd/bin/psxc-dated-dir-convert.sh /glftpd/site/MP3
#   0 */6 * * * /glftpd/bin/psxc-dated-dir-convert.sh /glftpd/site/0DAY

##########
# CONFIG #

# make sure all commands are availible. normally no need to change this.
PATH=/bin:/usr/bin:/usr/local/bin:/sbin:/usr/sbin:/usr/local/sbin

# To make this work, the script must either be run by root, or the touch
# command must have the sticky bit set. The default is to have the script
# run by root, in which case this variable do not need to be changed.
TOUCH=`which touch`
#TOUCH=/bin/touch

# END OF CONFIG #
#################

cd $1
for a in `ls -1A | grep [0-9]`; do
 if [ `echo $a | wc -m` -eq 5 ]; then
  $TOUCH -t "$a""0000" $a
 fi
done

